#include "DHT11.h"
#include <SoftwareSerial.h>
DHT11 dht11(4);
SoftwareSerial btSerial(2,3);
int power = 0, heat = 0, buzzer = 0;//power=0:OFF,1:ON,heat=0:난방,1:온수
void setup() {
  pinMode(5,OUTPUT); pinMode(6,OUTPUT); pinMode(7,OUTPUT); pinMode(8,OUTPUT);
  Serial.begin(9600); btSerial.begin(9600);
}
void loop() {
  if (btSerial.available()) {
    char ch = btSerial.read();
    if (ch == '1') {//전원 신호 들어오면
      //전원이 꺼져있을때에는 전원을 켜고 난방모드로 시작한다
      if (power == 0) { power = 1; heat = 0; digitalWrite(5,HIGH); digitalWrite(6,HIGH); digitalWrite(7,LOW); }
      //전원이 켜저있을때에는 전원을 모두 끈다
      else { power = 0; digitalWrite(5,LOW); digitalWrite(6,LOW); digitalWrite(7,LOW); }
    } else if (ch == '2') {//난방 신호가 들어오면 전원이 켜져있고 온수모드일때에만 상태를 난방모드로 변경한다
      if (power == 1 && heat == 1) { heat = 0; digitalWrite(6,HIGH); digitalWrite(7,LOW); }
    } else if (ch == '3') {//온수 신호가 들어오면 전원이 켜져있고 난방모드일때에만 상태를 온수모드로 변경한다
      if (power == 1 && heat == 0) { heat = 1; digitalWrite(6,LOW); digitalWrite(7,HIGH); }
    } else if (ch == '4') {//경보 신호가 들어오면 부저가 꺼져있을때에는 켜지고, 켜있을 때에는 끈다
      if (buzzer == 0) { buzzer = 1; digitalWrite(8,HIGH); }
      else { buzzer = 0; digitalWrite(8,LOW); }
    }
  }
  float temp,humidity;
  int err = dht11.read(humidity,temp);
  if (err == 0) {
    btSerial.print(temp); btSerial.print(":"); btSerial.print(humidity); btSerial.print(":");
  }
}
